summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsmls2015-07-09 16:44:03 +0200
committersmls2015-07-09 16:44:03 +0200
commit0b7ff662b8278f8aa0872a84dbfaa5ee0a6612c0 (patch)
treeda183c863e36cd8318f3f655948c665659fa1369
downloadaur-0b7ff662b8278f8aa0872a84dbfaa5ee0a6612c0.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD50
-rw-r--r--snapshot-hib.desktop10
3 files changed, 81 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..59d73f4fa5d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = snapshot-hib
+ pkgdesc = A platformer puzzle game (Humble Bundle version)
+ pkgver = 1.28_20121219
+ pkgrel = 1
+ url = http://www.retroaffect.com/games/1/snapshot/
+ arch = i686
+ arch = x86_64
+ license = custom:commercial
+ depends = glu
+ depends = sdl
+ depends = openal
+ depends = libvorbis
+ options = !strip
+ options = !upx
+ source = hib://Snapshot-linux-v28-.tar.gz
+ source = snapshot-hib.desktop
+ md5sums =
+ md5sums = 6df7363660caff44e3f2bfd946d12b34
+
+pkgname = snapshot-hib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8d7a04525f2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Sam S. <smls75@gmail.com>
+
+pkgname=snapshot-hib
+pkgver=1.28_20121219
+_hibver=v28
+pkgrel=1
+pkgdesc='A platformer puzzle game (Humble Bundle version)'
+url='http://www.retroaffect.com/games/1/snapshot/'
+arch=('i686' 'x86_64')
+license=('custom:commercial')
+depends=('glu' 'sdl' 'openal' 'libvorbis')
+source=('snapshot-hib.desktop')
+md5sums=('b8020b21e46d0d57f9fedfcaa436ca82')
+options=('!strip' '!upx')
+PKGEXT='.pkg.tar'
+DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in /etc/makepkg.conf."; exit 1')
+
+case $CARCH in
+ i686) _arch=x86; _archive_md5='8c893e6152d86801768de5d222b5150e' ;;
+ x86_64) _arch=x64; _archive_md5='a9e6bb953e5d443fdb63901d89f65e78' ;;
+esac
+source=("hib://Snapshot-linux-${_hibver}-${_arch}.tar.gz"
+ 'snapshot-hib.desktop')
+md5sums=("$_archive_md5"
+ '6df7363660caff44e3f2bfd946d12b34')
+
+package() {
+ cd $srcdir
+
+ # Fix permissions
+ find "${srcdir}/resources" -type f -exec chmod 644 {} \;
+ find "${srcdir}/resources" -type d -exec chmod 755 {} \;
+
+ # Install game files
+ install -d "${pkgdir}/opt/Snapshot/"
+ cp -r "${srcdir}/"{resources,snapshot.bin,snapshot,liblua5.1.so.0} \
+ "${pkgdir}/opt/Snapshot/"
+
+ # Install desktop entry
+ install -Dm644 "${pkgname}.desktop" \
+ "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+
+ # Install icon
+ install -Dm644 "${srcdir}/resources/art/engine/pic_icon.png" \
+ "${pkgdir}/usr/share/pixmaps/snapshot.png"
+
+ # Install launch script
+ install -d "${pkgdir}/usr/bin"
+ ln -s "/opt/Snapshot/snapshot" "${pkgdir}/usr/bin/snapshot"
+}
diff --git a/snapshot-hib.desktop b/snapshot-hib.desktop
new file mode 100644
index 00000000000..8b51edf3fae
--- /dev/null
+++ b/snapshot-hib.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Categories=Game;
+Name=Snapshot
+Comment=Retro Affect
+GenericName=Puzzle Platformer
+Icon=snapshot
+Exec=/usr/bin/snapshot
+Terminal=false